package com.foreverwin.mesnac.integration.dto;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import java.util.List;

/**
 * 工艺路线同步接口请求参数类
 *
 * @author Leon
 * @date 2021-6-24
 */
@XmlAccessorType( XmlAccessType.FIELD )
@XmlType(name = "RouterSyncRequest", propOrder = {
        "TRANID",
        "DATE_TIME",
        "SITE",
        "FACTORY",
        "SHOP_ORDER",
        "START_PRODUCT",
        "OPERATION_LIST"
})
public class RouterSyncRequest {

    @XmlElement(name = "TRANID", required = true)
    private String TRANID;
    @XmlElement(name = "DATE_TIME", required = true)
    private String DATE_TIME;
    @XmlElement(name = "SITE", required = true)
    private String SITE;
    @XmlElement(name = "FACTORY")
    private String FACTORY;
    @XmlElement(name = "SHOP_ORDER", required = true)
    private String SHOP_ORDER;
    @XmlElement(name = "START_PRODUCT")
    private String START_PRODUCT;
    @XmlElement(name = "OPERATION_LIST", required = true)
    private List<RouterStepDto> OPERATION_LIST;

    public String getTRANID() {
        return TRANID;
    }

    public void setTRANID(String TRANID) {
        this.TRANID = TRANID;
    }

    public String getDATE_TIME() {
        return DATE_TIME;
    }

    public void setDATE_TIME(String DATE_TIME) {
        this.DATE_TIME = DATE_TIME;
    }

    public String getSITE() {
        return SITE;
    }

    public void setSITE(String SITE) {
        this.SITE = SITE;
    }

    public String getFACTORY() {
        return FACTORY;
    }

    public void setFACTORY(String FACTORY) {
        this.FACTORY = FACTORY;
    }

    public String getSHOP_ORDER() {
        return SHOP_ORDER;
    }

    public void setSHOP_ORDER(String SHOP_ORDER) {
        this.SHOP_ORDER = SHOP_ORDER;
    }

    public String getSTART_PRODUCT() {
        return START_PRODUCT;
    }

    public void setSTART_PRODUCT(String START_PRODUCT) {
        this.START_PRODUCT = START_PRODUCT;
    }

    public List<RouterStepDto> getOPERATION_LIST() {
        return OPERATION_LIST;
    }

    public void setOPERATION_LIST(List<RouterStepDto> OPERATION_LIST) {
        this.OPERATION_LIST = OPERATION_LIST;
    }

    @Override
    public String toString() {
        return "RouterSyncRequest{" +
                "TRANID='" + TRANID + '\'' +
                ", DATE_TIME='" + DATE_TIME + '\'' +
                ", SITE='" + SITE + '\'' +
                ", FACTORY='" + FACTORY + '\'' +
                ", SHOP_ORDER='" + SHOP_ORDER + '\'' +
                ", START_PRODUCT='" + START_PRODUCT + '\'' +
                ", OPERATION_LIST=" + OPERATION_LIST +
                '}';
    }
}
